Сайт постоянно обновляется как устранить


Как отменить самопроизвольное обновление страниц в Chrome? — Хабр Q&A

Примерно с начала этого года заметил за браузером новое странное поведение. Если висят несколько открытых вкладок (у меня всегда есть минимум 3 и далее доходит до нескольких десятков), то при возвращении на ранее полностью подгруженную вкладку через определенный небольшой промежуток времени (по ощущениям от 10 минут) она вдруг начинает полностью подгружаться с сервера. Это интересное поведение и для кого-то, для кого важна актуальность информации, может быть полезным, но меня оно больше раздражает.

Самые частые случаи. Из открытой ленты новостей открываю несколько статей и планирую после их изучения открыть еще несколько, но при возврате на новостную линию вижу перезапрос на сервер и на экране уже обновленная лента, а замеченные мною новости уже ушли на другую страницу (в случае агрегаторов "самого интересного" - это вообще приговор, так как ушедшие с экрана ссылки уже нельзя вернуть). Так же очень часто я оставляю видео-ролики или подкасты на паузе, что бы досмотреть и дослушать их позже, но при возврате на страницу проигрывание начинается с начала :(

Подозреваю, что это поведение можно как-то отключить. Заранее благодарю, за подсказку.

P.S. Если важна информация по дополнениям, то активными являются "Adblock plus" и "Ghostery".

Постоянно обновляет страницу | WordPress.org

Для wow.js также много сообщений о конфликтах с другими плагинами. Я не знаю, как проверить это, но последняя версия плагина autoptimize теперь запускает удаление кеша w3 total cache и wp supercache plugin cache для предотвращения конфликтов. и, похоже, решает эту проблему.

Привет, я вижу, что нет возможности отключить триггер удаления общего кеша w3? Можете ли вы добавить настройку для этого или это обязательно?

Спасибо!

Позвольте мне взглянуть на эту возможность.Эта функция задается в самой Autoptimize, но, возможно, ее можно обойти. Я думал о включении нашей собственной функции удаления кеша. Я изучу это, а затем доложу. Благодарим вас за терпение и помощь в диагностике проблемы. Это один из тех крайних случаев, причину которых было труднее найти. Но я останусь на этом.

Подтверждено, что мои страницы с wow.js больше не перезагружаются автоматически при активации вашего плагина. Спасибо за обновление!

Wil.

Отлично. Так рада, что все решено. Спасибо за вашу помощь и за использование плагина.

Теперь у меня проблема на https://batgap.com. Я установил Autoptimize месяц или два, а Autoclear Autoptimize Cache установил за последние день или два. Этим утром я обнаружил и посетитель сайта сообщил, что некоторые страницы сайта, но не все, повторно загружаются. Я возился с деактивацией и повторной активацией плагинов, и я очистил кеш.Проблема не возникает, но моя жена все еще пользуется Firefox на Mac, но не Chrome. Я пару раз очищал кеш ее браузера. Какие-либо предложения?

Не могли бы вы сообщить мне, установлены ли у вас какие-либо другие плагины кеширования, такие как WP Supercache или WE Total Cache и т. Д. И кто и какой пакет хостинга вы используете. Обычно это вызвано наличием таких типов плагинов, содержащих кешированные версии сайта, после того, как функция Autoptimize была очищена. Обычно при этом очищаются все файлы кэша локального сайта, а не только функция автоматической оптимизации.

Если вы используете хост, который использует свои собственные методы кэширования на стороне сервера, это также может быть причиной этого. Дополнительная информация может помочь мне точно определить, почему это происходит. Кроме того, к выходным у меня наконец-то будет обновленная версия плагина, и она сохранит настройки сразу после установки, что должно решить эту проблему.

Приносим извинения за проблему. Спасибо, что сообщили об этом.

У меня такая же проблема с моей веб-страницей. Также запускаю autooptimize и w3 total cache, но уже давно.Я пытался удалить кеш. Я попытался отключить оба, но без изменений.

Это началось неделю назад, когда я экспериментировал с некоторыми страницами, посадочными страницами и конструкторами страниц.

Да, на прошлой неделе проблема снова появилась на моем сайте. Плагин временно отключен.

@developerwil Я наконец понял, в чем моя проблема. Для меня перезагрузка выглядит так? Cn-reloaded = 1

Проблема с плагином Cookie Notice.Вместо этого я использую баннер согласия на использование файлов cookie GDPR. Решил мою проблему.

@cammyjjj Спасибо за обновление. Я не использую этот конкретный плагин, поэтому подозреваю, что это как-то связано с кешированием. Gr8, что ваша проблема решена!

Как раз тогда, когда я подумал, что понял это. Похоже, что это происходит в паре ситуаций, но я ценю дополнительную информацию.

Привет, Джон! Извините, что вернул это к жизни, но у меня тоже есть эта проблема.

Я размещен в Kinsta, где используется собственный кеш.

Пришлось на время отключить плагин.

Также я использую WebP Express, но не уверен, что это полезная информация.

Спасибо за отчет. Похоже, мы наконец-то выяснили, что вызывает это, что связано с определенными условиями, когда кэширование объектов настроено на переопределение максимального возраста. Это может случиться с некоторыми веб-хостами и CDN. Я заканчиваю исправление и тестирую его.

Между тем, отключение нашего плагина, полное очищение кеша объектов от плагинов или сторонних сервисов и очистка CDN, а также активация и установка максимально допустимого кеша на нашей странице настроек плагинов должны решить эту проблему. Если это временное решение не сработает, его отключение и ожидание обновления (примерно с 10 до 14, поскольку мы ждем, когда появится обновление ядра WordPress), должно помочь. Пожалуйста, дайте мне знать.

Еще раз спасибо за терпение. Я понимаю, насколько неприятными могут быть подобные проблемы, особенно когда они возникают только при определенных условиях.

Привет, Джон, у тебя есть новости?

  • Этот ответ был изменен 9 месяцев, 3 недели назад пользователем andreas1992.
.

WordPress обнаружил, что ваш сайт работает на небезопасной версии PHP

. Модератор Джеймс Хафф

(@macmanx)

Волонтер-модератор

WordPress требует PHP 5.6.20 или выше, но мы рекомендуем PHP 7.3 или выше: https://wordpress.org/about/requirements/

Какую версию PHP вы используете и до какой версии PHP вы обновили, когда обнаружили ошибки?

Привет

Просто скопируйте на @macmanx, если вы не знаете версию, вы также можете обратиться к своему хостинг-провайдеру за помощью в обновлении php версии

.
  • Этот ответ был изменен 1 год назад пользователем Jazz.

Ваша тема и плагины также могут быть устаревшими или несовместимыми с версией PHP, до которой вы обновились.

Перед следующей попыткой убедитесь, что у вас есть полная резервная копия файлов и базы данных.

Сообщите нам, какая у вас версия PHP и на какую версию вы пытались перейти.

Привет, пожалуйста, помогите мне
Я обновил wordpress, а затем обнаружил, что WordPress обнаружил, что ваш сайт работает на небезопасной версии PHP.

моя версия php: 5.6.40
что дальше и как обновить версию php моего сайта?

  • Этот ответ был изменен 12 месяцев назад пользователем somfish.
Модератор Джеймс Хафф

(@macmanx)

Волонтер-модератор

Обратитесь к документации вашего хостинг-провайдера за инструкциями по обновлению PHP, мы рекомендуем PHP 7.3 или выше.

Я использую PHP 7.1 и все еще получаю это предупреждение Мысли?

Модератор Джеймс Хафф

(@macmanx)

Волонтер-модератор

Если это 7.1.0, то предупреждение верное, с момента выпуска в ветку 7.1 было внесено несколько исправлений безопасности.

Ветка 7.1 в настоящее время находится на версии 7.1.32: https://www.php.net/

Я использую PHP 7.3 и все еще получаю это сообщение

Модератор Джеймс Хафф

(@macmanx)

Волонтер-модератор

В разделе «Инструменты»> «Состояние сайта»> «Информация»> «Сервер» на панели инструментов вашего сайта указано, какая версия PHP указана?

У меня такая же проблема в Инструменты> Состояние сайта> Информация> Сервер говорит, что я использую PHP версии 5.6.40 и Серверная архитектура Linux 4.9.0-11-amd64 x86_64

На самом деле я запускаю Linux Debian 9 с PHP 7.3

Что я могу сделать, чтобы это исправить?

Модератор Джеймс Хафф

(@macmanx)

Волонтер-модератор

Если на вашем сервере работает PHP 7.3, но WordPress видит версию 5.6.40, вам, вероятно, следует перепроверить различные конфигурации PHP.

Например, можно установить определенную версию PHP для определенного каталога с помощью файла.htaccess файл. Итак, вы можете использовать PHP 7.3 по умолчанию для сервера, но работать с каталогом WordPress под PHP 5.6.40.

Я решил эту проблему, выполнив эти 3 команды на машине Linux, на которой размещен сайт WordPress.

> a2dismod php5
> a2enmod php7.3
> перезапуск службы apache2

Обычно иногда обновление PHP до более поздней версии не удаляет старую версию. Таким образом, вы должны указать apache2 использовать последнюю версию PHP вместо старой.Вот что делают эти команды.

У меня тоже есть эта проблема. На моем хосте я использую php 7.1. В настоящее время это самый высокий уровень, который они предлагают. На моей панели управления WordPress написано, что я использую 5.6.30. Я действительно вижу, что WordPress говорит, что я должен перейти на минимум 7.3, но пока я не знаю, почему он хотя бы не регистрируется как 7.1? Я не программист, поэтому мне нужны конкретные инструкции для любой помощи. Заранее спасибо!

Hi @ gracenote3, в зависимости от вашей хостинг-платформы и ОС, которую они используют, вам может потребоваться изучить разные настройки.Я приведу пример, если у вас есть сервер WHM / CPanel с установленной последней версией.

Под чертой CPanel вы найдете группу ссылок с надписью «Программное обеспечение». Найдите ссылку «Выбрать версию PHP». Это одно из мест, где вы можете выбрать определенный PHP для вашей конкретной учетной записи, независимо от того, какая последняя версия установлена ​​на сервере.

Если у вас есть эта опция, вы, вероятно, используете что-то похожее на Cloud Linux, которое позволяет отдельным владельцам учетных записей индивидуально выбирать предпочитаемую версию PHP, а не глобально управлять любой последней версией, установленной на сервере.

Вот скриншот на случай, если вы используете CPanel и можете использовать визуальную ссылку: https://paste.pics/87BF9

.

java - Как постоянно обновлять текстовое представление

Переполнение стека
  1. Около
  2. Товары
  3. Для команд
  1. Переполнение стека Общественные вопросы и ответы
  2. Переполнение стека для команд Где разработчики и технологи делятся частными знаниями с коллегами
  3. Вакансии Программирование и связанные с ним технические возможности карьерного роста
  4. Талант Нанимайте технических специалистов и создавайте свой бренд работодателя
.

javascript - Постоянное обновление cookie вызывает сбой браузера

Переполнение стека
  1. Около
  2. Товары
  3. Для команд
  1. Переполнение стека Общественные вопросы и ответы
  2. Переполнение стека для команд
.

Смотрите также

Поделиться в соц. сетях

Опубликовать в Facebook
Опубликовать в Одноклассники
Вы можете оставить комментарий, или ссылку на Ваш сайт.

Оставить комментарий